/* Please direct questions to Hansi Xu (Wallace LaWall on Discord) */

import React from 'react';
import './chats.css';

class Contact extends React.Component {
    constructor(props) {
        super(props)
        this.state = {
            selected : this.props.selected
        }
    }
    onClick() {
        this.setState({selected : "true"})
    }
    render() {
        return (
            <div class={this.state.selected === "true" ? "contact dark" : "contact"}>
                        <div class="profilepiccontainer">
                            <img src={this.props.pfpsrc} class="profilepic" onClick={() => this.onClick()} />
                        </div>
                        <div class="profilenamecontainer">
                            <div class="profilename" onClick={() => this.onClick()}>{this.props.name}</div>
                        </div>
            </div>
        )
    }
}

export default Contact;